Labs Jessie images come with puppet 3.7.2, should be 3.8.5
Closed, ResolvedPublic

Description

When creating a Jessie instance in wmflabs, it comes with puppet 3.7.2 however we are preferring 3.8.5 now. Once the instance is available, one has to manually upgrade puppet.

$ apt-cache policy puppet
puppet:
  Installed: 3.7.2-4
  Candidate: 3.8.5-2~bpo8+2
  Version table:
     4.8.2-5~bpo8+1 0
        100 http://mirrors.wikimedia.org/debian/ jessie-backports/main amd64 Packages
     3.8.5-2~bpo8+2 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/backports amd64 Packages
     3.7.2-4+deb8u1 0
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
 *** 3.7.2-4 0
        500 http://httpredir.debian.org/debian/ jessie/main amd64 Packages
        100 /var/lib/dpkg/status

I guess the Jessie base image could use a refresh.

hashar created this task.Jun 21 2017, 9:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 9:56 AM

Mentioned in SAL (#wikimedia-releng) [2017-06-22T08:18:00Z] <hashar> deployment-prep: removed /etc/apt/preferences.d/puppet.pref which was pinning puppet packages to jessie-backports and hence 4.8.x! - T168511

hashar claimed this task.EditedJun 22 2017, 8:19 AM
hashar closed this task as Resolved.

wrong task

hashar removed hashar as the assignee of this task.Jun 22 2017, 8:21 AM
hashar reopened this task as Open.
hashar closed this task as Resolved.Jul 20 2017, 8:44 AM
hashar claimed this task.

I have booted a Jessie instance with the latest labs image and it comes with puppet 3.8.5:

apt-cache policy puppet
puppet:
  Installed: 3.8.5-2~bpo8+2
  Candidate: 3.8.5-2~bpo8+2
  Version table:
     4.8.2-5~bpo8+1 0
        100 http://mirrors.wikimedia.org/debian/ jessie-backports/main amd64 Packages
 *** 3.8.5-2~bpo8+2 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/backports amd64 Packages
        100 /var/lib/dpkg/status
     3.7.2-4+deb8u1 0
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
     3.7.2-4 0
        500 http://httpredir.debian.org/debian/ jessie/main amd64 Packages

So apparently that got fixed somehow.

Restricted Application edited projects, added Release-Engineering-Team (Kanban); removed Cloud-Services. · View Herald TranscriptJul 20 2017, 8:44 AM